## org.apache.poi.hwpf.model
Class CachedPropertyNode

    java.lang.Object
      org.apache.poi.hwpf.model.PropertyNode<CachedPropertyNode>
          org.apache.poi.hwpf.model.CachedPropertyNode

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable<CachedPropertyNode>

    @Internal
    public final class CachedPropertyNode

extends PropertyNode<CachedPropertyNode>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.poi.hwpf.model.PropertyNode
`PropertyNode.EndComparator, PropertyNode.StartComparator`

Field Summary
`protected java.lang.ref.SoftReference<java.lang.Object>` `_propCache`

Fields inherited from class org.apache.poi.hwpf.model.PropertyNode
`_buf`

Constructor Summary
`CachedPropertyNode(int start, int end, SprmBuffer buf)`

Method Summary
`protected void` `fillCache(java.lang.Object ref)`
`protected java.lang.Object` `getCacheContents()`
`SprmBuffer` `getSprmBuf()`

Methods inherited from class org.apache.poi.hwpf.model.PropertyNode
`adjustForDelete, clone, compareTo, equals, getEnd, getStart, hashCode, limitsAreEqual, setEnd, setStart`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _propCache

    protected java.lang.ref.SoftReference<java.lang.Object> _propCache

Constructor Detail

### CachedPropertyNode

    public CachedPropertyNode(int start,
                              int end,
                              SprmBuffer buf)

Method Detail

### fillCache

    protected void fillCache(java.lang.Object ref)

### getCacheContents

    protected java.lang.Object getCacheContents()

### getSprmBuf

    public SprmBuffer getSprmBuf()

  Returns:
    This property's property in compressed form.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.